package domain

type TmallExchangeConsigngoodsRefundBaseResponse struct {
	/*
	   message     */
	Message *string `json:"message,omitempty" `

	/*
	   msgCode     */
	MsgCode *string `json:"msg_code,omitempty" `

	/*
	   success     */
	Success *bool `json:"success,omitempty" `

	/*
	   exchange     */
	Exchange *TmallExchangeConsigngoodsExchange `json:"exchange,omitempty" `
}

func (s *TmallExchangeConsigngoodsRefundBaseResponse) SetMessage(v string) *TmallExchangeConsigngoodsRefundBaseResponse {
	s.Message = &v
	return s
}
func (s *TmallExchangeConsigngoodsRefundBaseResponse) SetMsgCode(v string) *TmallExchangeConsigngoodsRefundBaseResponse {
	s.MsgCode = &v
	return s
}
func (s *TmallExchangeConsigngoodsRefundBaseResponse) SetSuccess(v bool) *TmallExchangeConsigngoodsRefundBaseResponse {
	s.Success = &v
	return s
}
func (s *TmallExchangeConsigngoodsRefundBaseResponse) SetExchange(v TmallExchangeConsigngoodsExchange) *TmallExchangeConsigngoodsRefundBaseResponse {
	s.Exchange = &v
	return s
}
